/* title.f -- translated by f2c (version of 3 February 1990  3:36:42).
   You must link the resulting object file with the libraries:
	-lF77 -lI77 -lm -lc   (in that order)
*/

#include "f2c.h"

/* Common Block Declarations */

struct {
    integer ielmnt, isbckt, nsbckt, iunsat, nunsat, itemps, numtem, isens, 
	    nsens, ifour, nfour, ifield, icode, idelim, icolum, insize, 
	    junode, lsbkpt, numbkp, iorder, jmnode, iur, iuc, ilc, ilr, 
	    numoff, isr, nmoffc, iseq, iseq1, neqn, nodevs, ndiag, iswap, 
	    iequa, macins, lvnim1, lx0, lvn, lynl, lyu, lyl, lx1, lx2, lx3, 
	    lx4, lx5, lx6, lx7, ld0, ld1, ltd, imynl, imvn, lcvn, nsnod, 
	    nsmat, nsval, icnod, icmat, icval, loutpt, lpol, lzer, irswpf, 
	    irswpr, icswpf, icswpr, irpt, jcpt, irowno, jcolno, nttbr, nttar, 
	    lvntmp;
} tabinf_;

#define tabinf_1 tabinf_

struct {
    doublereal atime, aprog[3], adate, atitle[10], defl, defw, defad, defas, 
	    rstats[50];
    integer iwidth, lwidth, nopage;
} miscel_;

#define miscel_1 miscel_

struct {
    doublereal omega, time, delta, delold[7], ag[7], vt, xni, egfet, xmu, 
	    sfactr;
    integer mode, modedc, icalc, initf, method, iord, maxord, noncon, iterno, 
	    itemno, nosolv, modac, ipiv, ivmflg, ipostp, iscrch, iofile;
} status_;

#define status_1 status_

struct {
    doublereal value[200000];
} blank_;

#define blank_1 blank_

/* Table of constant values */

static integer c__1 = 1;
static integer c__3 = 3;
static integer c__4 = 4;

/*<       subroutine title(ifold,len,icom,coment) >*/
/* Subroutine */ int title_(ifold, len, icom, coment)
integer *ifold;
integer *len, *icom;
doublereal *coment;
{
    /* Format strings */
    static char fmt_31[] = "(\0021\002,16(\002*\002),a8,1x,24(\002*\002),3a8\
,24(\002*\002),a8,16(\002*\002),//\0020\002,15a8/)";
    static char fmt_36[] = "(\0020****\002,17x,4a8,21x,\002temperature =\002\
,f9.3,\002 deg c\002/)";
    static char fmt_41[] = "(\0020\002,121(\002*\002)//)";
    static char fmt_101[] = "(\0021\002,7(\002*\002),a8,1x,8(\002*\002),3a8,\
8(\002*\002),a8,5(\002*\002)//\0020\002,10a8/)";
    static char fmt_106[] = "(\0020****     \002,4a8,\002 temperature =\002,\
f9.3,\002 deg c\002/)";
    static char fmt_111[] = "(\0020\002,71(\002*\002)//)";
    static char fmt_161[] = "(\0020\002,3a8,/)";

    /* Builtin functions */
    integer s_wsfe(), do_fio(), e_wsfe();

    /* Local variables */
    static integer i;
#define nodplc ((integer *)&blank_1)
#define cvalue ((complex *)&blank_1)

    /* Fortran I/O blocks */
    static cilist io__3 = { 0, 0, 0, fmt_31, 0 };
    static cilist io__5 = { 0, 0, 0, fmt_36, 0 };
    static cilist io__6 = { 0, 0, 0, fmt_41, 0 };
    static cilist io__7 = { 0, 0, 0, fmt_101, 0 };
    static cilist io__8 = { 0, 0, 0, fmt_106, 0 };
    static cilist io__9 = { 0, 0, 0, fmt_111, 0 };
    static cilist io__10 = { 0, 0, 0, fmt_106, 0 };
    static cilist io__11 = { 0, 0, 0, fmt_161, 0 };


    /* Parameter adjustments */
    --coment;

    /* Function Body */
/*<       implicit double precision (a-h,o-z) >*/

/*     this routine writes a title on the output file.  ifold indicates */

/* whether the page eject should be to the next concave, convex, or any */

/* page fold depending on whether its value is <0, >0, or =0.  the page */

/* eject is suppressed (as is much of the heading) if the variable nopage 
*/
/* is nonzero. */

/* spice version 2g.6  sccsid=tabinf 3/15/83 */
/*<       common /tabinf/ ielmnt,isbckt,nsbckt,iunsat,nunsat,itemps,numtem, >*/
/*<      1   isens,nsens,ifour,nfour,ifield,icode,idelim,icolum,insize, >*/
/*<      2   junode,lsbkpt,numbkp,iorder,jmnode,iur,iuc,ilc,ilr,numoff,isr, >*/
/*<      3   nmoffc,iseq,iseq1,neqn,nodevs,ndiag,iswap,iequa,macins,lvnim1, >*/
/*<      4   lx0,lvn,lynl,lyu,lyl,lx1,lx2,lx3,lx4,lx5,lx6,lx7,ld0,ld1,ltd, >*/
/*<      5   imynl,imvn,lcvn,nsnod,nsmat,nsval,icnod,icmat,icval, >*/
/*<      6   loutpt,lpol,lzer,irswpf,irswpr,icswpf,icswpr,irpt,jcpt, >*/
/*<      7   irowno,jcolno,nttbr,nttar,lvntmp >*/
/* spice version 2g.6  sccsid=miscel 3/15/83 */
/*<       common /miscel/ atime,aprog(3),adate,atitle(10),defl,defw,defad, >*/
/*<      1  defas,rstats(50),iwidth,lwidth,nopage >*/
/* spice version 2g.6  sccsid=status 3/15/83 */
/*<       common /status/ omega,time,delta,delold(7),ag(7),vt,xni,egfet, >*/
/*<      1   xmu,sfactr,mode,modedc,icalc,initf,method,iord,maxord,noncon, >*/
/*<      2   iterno,itemno,nosolv,modac,ipiv,ivmflg,ipostp,iscrch,iofile >*/
/* spice version 2g.6  sccsid=blank 3/15/83 */
/*<       common /blank/ value(200000) >*/
/*<       integer nodplc(64) >*/
/*<       complex cvalue(32) >*/
/*<       equivalence (value(1),nodplc(1),cvalue(1)) >*/


/*<       dimension coment(4) >*/


/*<       if(nopage.eq.1) go to 150 >*/
    if (miscel_1.nopage == 1) {
	goto L150;
    }

/*<    30 if (len.le.80) go to 100 >*/
/* L30: */
    if (*len <= 80) {
	goto L100;
    }
/*<       write (iofile,31) adate,aprog,atime,(atitle(i),i=1,10) >*/
    io__3.ciunit = status_1.iofile;
    s_wsfe(&io__3);
    do_fio(&c__1, (char *)&miscel_1.adate, (ftnlen)sizeof(doublereal));
    do_fio(&c__3, (char *)&miscel_1.aprog[0], (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&miscel_1.atime, (ftnlen)sizeof(doublereal));
    for (i = 1; i <= 10; ++i) {
	do_fio(&c__1, (char *)&miscel_1.atitle[i - 1], (ftnlen)sizeof(
		doublereal));
    }
    e_wsfe();
/*<    31 format(1h1,16(1h*),a8,1x,24(1h*),3a8,24(1h*),a8,16(1h*),//1h0, >*/
/*<      1   15a8/) >*/
/*<       if (icom.eq.0) go to 40 >*/
    if (*icom == 0) {
	goto L40;
    }
/*<       write (iofile,36) coment,value(itemps+itemno) >*/
    io__5.ciunit = status_1.iofile;
    s_wsfe(&io__5);
    do_fio(&c__4, (char *)&coment[1], (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&blank_1.value[tabinf_1.itemps + status_1.itemno - 
	    1], (ftnlen)sizeof(doublereal));
    e_wsfe();
/*<    36 format(5h0****,17x,4a8,21x,'temperature =',f9.3,' deg c'/) >*/
/*<    40 write (iofile,41) >*/
L40:
    io__6.ciunit = status_1.iofile;
    s_wsfe(&io__6);
    e_wsfe();
/*<    41 format(1h0,121(1h*)//) >*/
/*<       go to 200 >*/
    goto L200;


/*<   100 write (iofile,101) adate,aprog,atime,(atitle(i),i=1,10) >*/
L100:
    io__7.ciunit = status_1.iofile;
    s_wsfe(&io__7);
    do_fio(&c__1, (char *)&miscel_1.adate, (ftnlen)sizeof(doublereal));
    do_fio(&c__3, (char *)&miscel_1.aprog[0], (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&miscel_1.atime, (ftnlen)sizeof(doublereal));
    for (i = 1; i <= 10; ++i) {
	do_fio(&c__1, (char *)&miscel_1.atitle[i - 1], (ftnlen)sizeof(
		doublereal));
    }
    e_wsfe();
/*<   101 format(1h1,7(1h*),a8,1x,8(1h*),3a8,8(1h*),a8,5(1h*)//1h0,10a8/) >*/
/*<       if (icom.eq.0) go to 110 >*/
    if (*icom == 0) {
	goto L110;
    }
/*<       write (iofile,106) coment,value(itemps+itemno) >*/
    io__8.ciunit = status_1.iofile;
    s_wsfe(&io__8);
    do_fio(&c__4, (char *)&coment[1], (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&blank_1.value[tabinf_1.itemps + status_1.itemno - 
	    1], (ftnlen)sizeof(doublereal));
    e_wsfe();
/*<   106 format(10h0****     ,4a8,' temperature =',f9.3,' deg c'/) >*/
/*<   110 write (iofile,111) >*/
L110:
    io__9.ciunit = status_1.iofile;
    s_wsfe(&io__9);
    e_wsfe();
/*<   111 format(1h0,71(1h*)//) >*/
/*<       go to 200 >*/
    goto L200;


/*<   150 if (icom.eq.0) go to 160 >*/
L150:
    if (*icom == 0) {
	goto L160;
    }
/*<       write (iofile,106) coment,value(itemps+itemno) >*/
    io__10.ciunit = status_1.iofile;
    s_wsfe(&io__10);
    do_fio(&c__4, (char *)&coment[1], (ftnlen)sizeof(doublereal));
    do_fio(&c__1, (char *)&blank_1.value[tabinf_1.itemps + status_1.itemno - 
	    1], (ftnlen)sizeof(doublereal));
    e_wsfe();
/*<       go to 200 >*/
    goto L200;
/*<   160 write (iofile,161) aprog >*/
L160:
    io__11.ciunit = status_1.iofile;
    s_wsfe(&io__11);
    do_fio(&c__3, (char *)&miscel_1.aprog[0], (ftnlen)sizeof(doublereal));
    e_wsfe();
/*<   161 format(1h0,3a8,/) >*/

/*  finished */

/*<   200 return >*/
L200:
    return 0;
/*<       end >*/
} /* title_ */

#undef cvalue
#undef nodplc


